<?php

namespace GiveSquare\GatewayConnect;

use Give\Helpers\Hooks;
use GiveSquare\GatewayConnect\Admin\Notices;
use GiveSquare\GatewayConnect\Modals\SquareAccount;
use GiveSquare\GatewayConnect\Webhooks\SetupWebhooks;

/**
 * @since 1.2.0
 */
class ServiceProvider implements \Give\ServiceProviders\ServiceProvider
{
    /**
     * @since 1.2.0
     */
    public function register()
    {
        give()->singleton(SquareAccount::class);
    }

    /**
     * @since 1.2.0
     */
    public function boot()
    {
        Hooks::addAction('parse_request', SetupWebhooks::class, 'eventListener');
        Hooks::addAction('wp_ajax_check_square_webhooks', SetupWebhooks::class, 'ajaxCheckSquareWebhooks');
        Hooks::addAction('wp_ajax_hard_check_square_webhooks', SetupWebhooks::class, 'ajaxForceRecheckWebhooks');

        Hooks::addAction('admin_init', Notices::class, 'enableSubscriptions');
    }
}
