<?php

namespace GiveSquare\PaymentGateway\Actions;

use Give\Donations\Models\Donation;
use Give\Donations\Models\DonationNote;
use Give\Framework\Exceptions\Primitives\Exception;

/**
 * @since 1.2.0
 */
class GetIdempotencyKey
{
    /**
     * @since 1.2.0
     * @throws Exception
     */
    public function __invoke(Donation $donation): string
    {
        DonationNote::create(
            [
                'donationId' => $donation->id,
                'content' => "Idempotency Key: {$donation->purchaseKey}"
            ]
        );

        return $donation->purchaseKey;
    }
}
