<?php

namespace GiveSquare\PaymentGateway\Actions;

use Give\Framework\PaymentGateways\Exceptions\PaymentGatewayException;

/**
 * @since 1.2.0
 */
class GetSquareGatewayData
{
    /**
     * @since 1.2.0
     * @throws PaymentGatewayException
     */
    public function __invoke($gatewayData): array
    {
        $squareTokenKey = 'square-card-nonce';

        if (is_array($gatewayData) && ! empty($gatewayData[$squareTokenKey])) {
            return ['squarePaymentMethodId' => give_clean($gatewayData[$squareTokenKey])];
        }

        if (empty($_POST[$squareTokenKey])) {
            throw new PaymentGatewayException('Empty square payment method token');
        }

        return ['squarePaymentMethodId' => give_clean($_POST[$squareTokenKey])];
    }
}
