<?php

namespace GiveSquare\PaymentGateway\Actions;

use Give\Donations\Models\Donation;
use Give\Donations\Models\DonationNote;

/**
 * @since 1.2.0
 */
class GetSquareLocationId
{
    /**
     * @since 1.2.0
     */
    public function __invoke(Donation $donation): string
    {
        $locationId = give_square_get_location_id();

        give_update_meta($donation->id, '_give_square_donation_location_id', $locationId);

        DonationNote::create(
            [
                'donationId' => $donation->id,
                'content' => "Location ID: $locationId"
            ]
        );

        return $locationId;
    }
}
