<?php

namespace GiveSquare\PaymentGateway\Migrations;

use GiveSquare\Addon\Migration\Migration;

/**
 * @since 1.2.0
 */
class RemoveLegacySquareInputStyle extends Migration
{
    /**
     * @since 1.2.0
     */
    public static function id(): string
    {
        return 'remove-legacy-square-input-style';
    }

    /**
     * @since 1.2.0
     */
    public static function timestamp(): int
    {
        return strtotime('05-20-2022');
    }

    /**
     * @since 1.2.0
     */
    public static function title(): string
    {
        return esc_html__(
            'Remove the Square input style',
            'give-square'
        );
    }

    /**
     * @since 1.2.0
     */
    public function run()
    {
        // Reset setting value.
        give_update_option('square_styles', '{}');
    }
}
