<?php

namespace GiveSquare\PaymentGateway;

use Give\Framework\Migrations\MigrationsRegister;
use Give\Framework\PaymentGateways\PaymentGatewayRegister;
use Give\Helpers\Hooks;
use GiveSquare\PaymentGateway\Actions\GetSquareGatewayData;
use GiveSquare\PaymentGateway\Migrations\RemoveLegacySquareInputStyle;

/**
 * @since 1.2.0
 */
class ServiceProvider implements \Give\ServiceProviders\ServiceProvider
{
    /**
     * @since 1.2.0
     */
    public function register()
    {
    }

    /**
     * @since 1.3.0 Use new filter hook to provide gateway data to process payment.
     *             New filter hook: https://github.com/impress-org/givewp/pull/6475
     * @since 1.2.0
     */
    public function boot()
    {
        add_action('givewp_register_payment_gateway', function (PaymentGatewayRegister $paymentGatewayRegister) {
            $paymentGatewayRegister->registerGateway(CreditCardGateway::class);
        });

        Hooks::addFilter(
            sprintf('givewp_create_payment_gateway_data_%s', CreditCardGateway::id()),
            GetSquareGatewayData::class
        );

        give(MigrationsRegister::class)->addMigration(RemoveLegacySquareInputStyle::class);
    }
}
