<?php

namespace GiveSquare\Square\Api;

use Give\Framework\Exceptions\Primitives\Exception;
use GiveSquare\Square\Api\Exceptions\ApiRequestException;
use GiveSquare\Square\Api\Traits\ApiRequestHelpers;

/**
 * @since 1.2.0
 */
class RefundPayment
{

    use ApiRequestHelpers;

    /**
     * @since 1.2.0
     * @throws ApiRequestException|Exception
     */
    public function __invoke(array $requestData): \stdClass
    {
        $requestArgs['headers'] = $this->getApiRequestHeaders();
        $requestArgs['body'] = json_encode($requestData);

        $response = wp_remote_post(
            $this->getApiRequestUrl('v2/refunds'),
            $requestArgs
        );

        if (is_wp_error($response)) {
            throw new Exception("Square API request error. Error: {$response->get_error_message()}");
        }

        $response = $this->getResponseOrThrowApiException($response);

        return $response->refund;
    }
}
