const mix = require('laravel-mix');
const path = require('path');
const WebpackRTLPlugin = require('webpack-rtl-plugin');

mix.setPublicPath('assets/dist')
	.sass('assets/src/css/admin/give-square-admin.scss', 'css/admin.css')
	.sass('assets/src/css/frontend/give-square-frontend.scss', 'css/frontend.css')
	.js('assets/src/js/frontend/give-square-frontend.js', 'js/frontend.js')
	.js('assets/src/js/admin/give-square-admin.js', 'js/admin.js')
	.sourceMaps(false, 'source-map')

	.copyDirectory('assets/src/images', 'assets/dist/images')

mix.options({
	// Don't perform any css url rewriting by default
	processCssUrls: false,

	// Prevent LICENSE files from showing up in JS builds
	terser: {
		extractComments: (astNode, comment) => false,
		terserOptions: {
			format: {
				comments: false,
			},
		},
	},
});

if (mix.inProduction()) {
	mix.webpackConfig({
		plugins: [
			new WebpackRTLPlugin({
				suffix: '-rtl',
				minify: true,
			}),
		],
	});
}

